package com.tests.session;

import com.tests.interceptors.Interceptor1;
import com.tests.interceptors.Interceptor2;
import javax.ejb.Stateless;
import javax.interceptor.ExcludeClassInterceptors;
import javax.interceptor.Interceptors;

@Stateless
@Interceptors({Interceptor1.class, Interceptor2.class})
public class StatelessSessionBean {

  public void doSomething1() {
  }
  
  public void doSomething2() {
  }
  
  public void doSomething3() {
  }
  
  @ExcludeClassInterceptors
  @Interceptors({Interceptor1.class})
  public void doSomethingN() {
    
  }
}
